# $Revision: 1.52 $, $Date: 2006/01/15 11:45:57 $
Summary:	A collection of BSD (Berkeley Standard Distribution) games
Summary(de):	Diverse BSD-Games
Summary(es):	Paquete con varios juegos BSD
Summary(fr):	Paquetage de jeux BSD divers
Summary(pl):	Zestaw gier BSD (Berkeley Standard Distribution)
Summary(pt):	Pacote com vrios jogos BSD
Summary(tr):	Metin ekranda oyunlar paketi
Name:		bsd-games
Version:	2.16
Release:	3
License:	distributable
Group:		Applications/Games
Source0:	ftp://ibiblio.org/pub/Linux/games/%{name}-%{version}.tar.gz
# Source0-md5:	95bb83ebda02ff1fc8f4bf22a31d1ef0
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	5ed0ae6b7c5d5a2edddc636240314e34
Patch0:		%{name}-hole.patch
Patch1:		%{name}-headers.patch
Patch2:		%{name}-ospeed.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-from.patch
Patch5:		%{name}-monop_rename.patch
Patch6:		%{name}-man.patch
Patch7:		%{name}-types.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	groff
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	words
Requires:	textutils
Requires:	words
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gamesdir	%{_bindir}

%description
Bsd-games includes adventure, arithmetic, atc, backgammon, battlestar,
bcd, caesar, canfield, cfscores, countmail, cribbage, dm, factor,
fish, gomoku, hunt, mille, monop, morse, number, phantasia, pig, pom,
ppt, primes, quiz, rain, random, robots, rot13, sail, snake, snscore,
teachgammon, tetris-bsd, trek, wargames, worm, worms and wump.

Note: countmail requires frm(1) command from elm package.

%description -l de
Dies ist eine Sammlung von Games. Zu den bekanntesten gehren
Backgammon, Cribbage, Monop, Primes, Trek und Battlestar.

%description -l es
Bsd-games incluye juegos: adventure, arithmetic, atc, backgammon,
battlestar, bcd, caesar, canfield, cfscores, countmail, cribbage, dm,
factor, fish, gomoku, hunt, mille, monop, morse, number, phantasia,
pig, pom, ppt, primes, quiz, rain, random, robots, rot13, sail, snake,
snscore, teachgammon, tetris-bsd, trek, wargames, worm, worms and wump.

Aviso: countmail requiere comando frm(1) del paquete elm.

%description -l fr
Lot de jeux. Contient backgammon, cribbage, le pendu, monop, primes,
trek et battlestar.

%description -l pl
W skad gier BSD wchodz: adventure, arithmetic, atc, backgammon,
battlestar, bcd, caesar, canfield, cfscores, countmail, cribbage, dm,
factor, fish, gomoku, hunt, mille, monop, morse, number, phantasia,
pig, pom, ppt, primes, quiz, rain, random, robots, rot13, sail, snake,
snscore, teachgammon, tetris-bsd, trek, wargames, worm, worms i wump.

Uwaga: countmail wymaga polecenia frm(1) z pakietu elm.

%description -l pt
Isto  um conjunto de jogos. Os destaques incluem gamo, jogo de
cartas, forca, monoplio e guerra nas estrelas.

%description -l tr
Tavla, cribbage, adam asmaca, monop, primes, trek ve battlestar gibi
oyunlar ieren bir paket.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# config patch creation: diff between unconfigured and following configuration:
# Install prefix: $INSTALL_PREFIX
# Games not to build: banner factor fortune hack
# Games directory: /usr/bin
# Daemon directory: /usr/sbin
# Directory for miscellaneous documentation [/usr/share/doc/bsd-games]: /usr/share/doc/bsd-games-%{version}
# Set owners/groups on installed files [y]: n
# Gzip manpages [y]: n
# Ncurses includes []: -I/usr/include/ncurses
# (the rest is default)

# then change $RPM_BUILD_DIR path to "."
%patch3 -p1
# these files come from patch
chmod +x install-man install-score
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmldflags}" \
	OPTIMIZE="%{rpmcflags}"

mkdir -p doc/trek
nroff trek/DOC/read_me.nr > doc/trek/read_me.txt
nroff trek/DOC/trekmanual.nr > doc/trek/trekmanual.txt

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_PREFIX=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

# primes(6) man originally is just a symlink to factor(6)
# but we install only primes, not factor (which is in sh-utils)
rm -f $RPM_BUILD_ROOT%{_mandir}/man6/primes.6*
install factor/factor.6 $RPM_BUILD_ROOT%{_mandir}/man6/primes.6

# TODO: add Finish factor.6 to non-english-man-pages
#mv -f $RPM_BUILD_ROOT%{_mandir}/fi/man6/{factor,primes}.6

# resolve conflict with hunt package
mv -f $RPM_BUILD_ROOT%{_bindir}/hunt{,-game}
mv -f $RPM_BUILD_ROOT%{_mandir}/man6/hunt{,-game}.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/trek trek/USD.doc/trek.me
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/huntd
%{_datadir}/games/*
%{_datadir}/misc/acronyms
%{_datadir}/misc/acronyms.comp
/var/games/atc_score
/var/games/battlestar.log
/var/games/cfscores
/var/games/criblog
/var/games/robots_roll
%dir /var/games/phantasia
%attr(640,root,games) /var/games/phantasia/characs
/var/games/phantasia/gold
/var/games/phantasia/lastdead
/var/games/phantasia/mess
/var/games/phantasia/monsters
/var/games/phantasia/motd
/var/games/phantasia/scoreboard
/var/games/phantasia/void
%attr(750,root,games) /var/games/sail
/var/games/saillog
/var/games/snake.log
/var/games/snakerawscores
/var/games/tetris-bsd.scores
%{_mandir}/man*/*
%lang(fi) %{_mandir}/fi/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bsd-games.spec,v $
Revision 1.52  2006/01/15 11:45:57  glen
- missing /var/games/phantasia dir; rel 3

Revision 1.51  2005/04/30 23:04:27  qboosh
- release 2

Revision 1.50  2005/04/30 22:51:51  qboosh
- fix in config patch, added types patch (needed on multilib archs)

Revision 1.49  2005/04/30 12:04:14  qboosh
- updated to 2.16, updated config,man patches

Revision 1.48  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.47  2004/09/28 22:41:34  ankry
- fixed bogus changelog

Revision 1.46  2004/09/28 22:36:37  ankry
- typo
- fixed manpages
- rel. 3

Revision 1.45  2004/09/28 21:31:50  ankry
- added -man patch (fix paths and names in manpages)
- build trek docs (R: groff)
- rel 2.2

Revision 1.44  2004/09/28 20:43:39  ankry
- renamed monop to monopoly-game, added huntd, rel. 2.1
  NOTE: hunt is non-working yet

Revision 1.43  2004/08/18 17:20:36  averne
- rel 2

Revision 1.42  2004/02/16 19:18:02  socrat
- We need you, flex.

Revision 1.41  2003/12/19 16:21:53  domelu
- up to 2.15

Revision 1.40  2003/11/23 14:48:39  qboosh
- fixed paths in config patch

Revision 1.39  2003/11/23 05:22:53  speedy
- release 2

Revision 1.38  2003/08/06 16:38:18  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.37  2003/07/01 19:14:15  qboosh
- 2.14, updated headers and config patches, removed obsolete destdir patch

Revision 1.36  2003/06/06 07:31:04  qboosh
- one R: textutils is enough

Revision 1.35  2003/06/05 20:00:15  yoshi
- Added BuildRequires: bison

Revision 1.34  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 05:46:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/07/28 12:05:26  qboosh
- updated to 2.13, updated config and ospeed patches
- added destdir patch with missing INSTALL_PREFIX uses
- fixed primes(6) man page
- renamed hunt to hunt-game to resolve conflict with hunt package

Revision 1.31  2002/05/30 15:52:44  qboosh
- removed Requires: /usr/bin/frm, added note to en and pl descriptions
  (requiring elm by such package is stupid)
- fixed GAMESDIR inconsequence in config patch (rot13 was broken)
- release 4

Revision 1.30  2002/04/25 15:55:36  arturs
- fixed a small typo

Revision 1.29  2002/03/01 05:53:22  ankry
- added fi, pl man pages
- release 3

Revision 1.28  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:12:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.24  2001/05/23 02:14:54  qboosh
- use %rpmldflags

Revision 1.23  2001/04/30 16:05:15  kloczek
- added using %{rpmcflags} macro.

Revision 1.22  2001/02/23 05:25:54  kloczek
- release 2: added from patch (use frm not from command in countmail) from
  Conectiva.

Revision 1.21  2001/01/25 20:03:21  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.20  2000/12/23 00:48:43  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/10/02 21:18:23  kloczek
- removed duplicated /var/games/phantasia from %files list.

Revision 1.18  2000/10/02 20:12:47  kloczek
- updated to 2.12,
- spec adapterized and now also %{debug} ready,
- use rpm new automation suit,
- merge es, de, fr, pt, tr translations from Conectiva.

Revision 1.17  2000/07/13 23:06:08  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.16  2000/07/13 20:37:27  baggins
- release 2

Revision 1.15  2000/06/10 09:07:06  kloczek
- typo.

Revision 1.14  2000/06/10 08:47:32  kloczek
- removed factor (the same binaries is in shareutils and seems this the same
  program; mana fage for factor can be moved to shareutils also seems factor
  is not a game).

Revision 1.13  2000/06/10 08:19:11  kloczek
- updated to 2.11,
- move all executables to /usr/bin.

Revision 1.12  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.11  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.10  2000/04/28 20:08:02  zagrodzki
- forgotten +x for install-*

Revision 1.9  2000/04/28 20:04:40  zagrodzki
- fixed directories

Revision 1.8  2000/04/09 00:11:28  zagrodzki
- requires/buildrequires: words

Revision 1.7  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.5  2000/03/27 22:14:22  kloczek
- added using %{_mandir} macro.

Revision 1.4  2000/03/27 07:38:56  zagrodzki
- rewritten
- adapterized
- polish translations
  Based on RedHat spec file.
